Page MenuHomePhabricator

Can't add cells in tables
Open, Needs TriagePublicBUG REPORT

Description

Steps to Reproduce:
Go to the page https://it.wikipedia.org/wiki/Utente:Fringio/Test start VisualEditor and try to add a cell where is missing.

Actual Results:
Nothing happens.

Expected Results:
VE should add a cell.

Tried logged and as IP in Opera, Vivaldi and Firefox.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (b2939de73)
VisualEditor/VisualEditor : masterAvoid a "wiggle" when inserting a missing table cell
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (191f8c90c)
VisualEditor/VisualEditor : masterFix missing table cell "fake slugs"

Event Timeline

Nnvu created this task.Sep 27 2019, 10:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2019, 10:06 PM

Thanks for reporting this! Confirming that clicking the + does not do anything.
No output in the developer console on https://it.wikipedia.org/wiki/Utente:Fringio/Test?uselang=en&veaction=edit&debug=true either.

Change 539964 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] Fix missing table cell "fake slugs"

https://gerrit.wikimedia.org/r/539964

Change 539964 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Fix missing table cell "fake slugs"

https://gerrit.wikimedia.org/r/539964

Change 540245 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (191f8c90c)

https://gerrit.wikimedia.org/r/540245

Change 540245 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (191f8c90c)

https://gerrit.wikimedia.org/r/540245

matmarex moved this task from Incoming to QA on the VisualEditor (Current work) board.
Ryasmeen added subscribers: matmarex, Ryasmeen.EditedOct 15 2019, 7:45 PM

@matmarex: This still looks a bit broken to me, I see that the "+" icon is still there, however clicking on it doesn't do anything, it just wiggles the table a bit. Also on the context menu, the "Property" button is not clickable instead there is a small button next to it and when I click on it, it brings up the Properties dialog.

Nnvu added a comment.Oct 16 2019, 7:01 PM

@matmarex: This still looks a bit broken to me, I see that the "+" icon is still there, however clicking on it doesn't do anything, it just wiggles the table a bit and also the on the context menu. Also, the "Property" button is not clickable instead there is a small button next to it and when I click on it, it brings up the Properties dialog.

I have the little wiggle too, but the "Property" button it's fine.

@Ryasmeen In your video, the site is in a weird mix of Italian and English. Do you have automatic translation enabled in your browser or something? I would imagine that would mess with things.

Clicking on the "+" actually works regardless of that, as far as I can see. The placeholder is replaced with a normal, empty table cell, as expected.


The wiggle seems to be harmless, but I think I found a way to prevent it.

Change 543945 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] Avoid a "wiggle" when inserting a missing table cell

https://gerrit.wikimedia.org/r/543945

Change 543945 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Avoid a "wiggle" when inserting a missing table cell

https://gerrit.wikimedia.org/r/543945

Change 543685 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b2939de73)

https://gerrit.wikimedia.org/r/543685

Change 543685 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b2939de73)

https://gerrit.wikimedia.org/r/543685

@Ryasmeen In your video, the site is in a weird mix of Italian and English. Do you have automatic translation enabled in your browser or something? I would imagine that would mess with things.

Clicking on the "+" actually works regardless of that, as far as I can see. The placeholder is replaced with a normal, empty table cell, as expected.

The wiggle seems to be harmless, but I think I found a way to prevent it.

@matmarex: That's right, after disabling the automatic translation the '+' icon is working as expected.

Is the patch to stop the wiggle landed on Beta?

matmarex added a comment.EditedMon, Oct 21, 6:59 PM

Yes (it'll go out to production wikis next this week).

Ryasmeen edited projects, added Verified; removed Editing QA.Fri, Oct 25, 6:59 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.